GHNProfile (gCube VRE Deploy Wizard Portlet 3.4.0-3.10.0 API)
Date: 2016-02-09

org.gcube.portlets.admin.vredeployer.shared

## Class GHNProfile

- java.lang.Object
- - org.gcube.portlets.admin.vredeployer.shared.GHNProfile

- All Implemented Interfaces:
    Serializable

      public class GHNProfile
      extends Object
      implements Serializable

  Author:
    Massimiliano Assante ISTI-CNR
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GHNProfile()`
    `GHNProfile(String id, String host, List<RunningInstance> runningInstances, boolean security, GHNMemory memory, GHNSite site, List<String> libraries, boolean isSelected)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHost()`
    `String` | `getId()`
    `List<String>` | `getLibraries()`
    `GHNMemory` | `getMemory()`
    `List<RunningInstance>` | `getRunningInstances()`
    `GHNSite` | `getSite()`
    `boolean` | `isSecure()`
    `boolean` | `isSelected()`
    `void` | `setHost(String host)`
    `void` | `setId(String id)`
    `void` | `setLibraries(List<String> libraries)`
    `void` | `setMemory(GHNMemory memory)`
    `void` | `setRunningInstances(List<RunningInstance> runningInstances)`
    `void` | `setSecurity(Boolean securityEnabled)`
    `void` | `setSelected(boolean isSelected)`
    `void` | `setSite(GHNSite site)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GHNProfile

          public GHNProfile()

    - #### GHNProfile

          public GHNProfile(String id,
                    String host,
                    List<RunningInstance> runningInstances,
                    boolean security,
                    GHNMemory memory,
                    GHNSite site,
                    List<String> libraries,
                    boolean isSelected)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getHost

          public String getHost()

    - #### setHost

          public void setHost(String host)

    - #### getRunningInstances

          public List<RunningInstance> getRunningInstances()

    - #### setRunningInstances

          public void setRunningInstances(List<RunningInstance> runningInstances)

    - #### isSecure

          public boolean isSecure()

    - #### setSecurity

          public void setSecurity(Boolean securityEnabled)

    - #### getMemory

          public GHNMemory getMemory()

    - #### setMemory

          public void setMemory(GHNMemory memory)

    - #### getSite

          public GHNSite getSite()

    - #### setSite

          public void setSite(GHNSite site)

    - #### getLibraries

          public List<String> getLibraries()

    - #### setLibraries

          public void setLibraries(List<String> libraries)

    - #### isSelected

          public boolean isSelected()

    - #### setSelected

          public void setSelected(boolean isSelected)

Copyright © 2016. All Rights Reserved.